---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_Element;'
    name:      Element
    index:     6
    customTagName: 'element'
    registerForTemplate: yes
    defaultTask: '&IDI_Task_Element_View;'
    relatedTasks:
    - instance: '&IDI_Task_Element_View;'
    - instance: '&IDI_Task_Element_Edit;'
    attributes:
    - instance: '&IDA_Name;'
      customTagName:  'name'
    - instance: '&IDA_Label;'
      customTagName:  'label'
    relationships:
    - instance: '&IDR_Element__has__Element_Content;'
      customTagName: 'elementContents'
      customTagNameCreatesInstanceOf: '&IDC_ElementContent;'
    - instance: '&IDR_Element__processed_by__Control_Transaction_Method;'
      customTagName: 'processedByCTMethod'
      customTagNameCreatesInstanceOf: '&IDC_ControlTransactionMethod;'
    - instance: '&IDR_Element__processed_by__Process_Related_Updates_Method;'
      customTagName: 'processedByPRUMethod'
    - instance: '&IDR_Element__has__Layout;'
      customTagName: 'layout'
    - instance: '&IDR_Element__has_default__Display_Option;'
      customTagName: 'defaultDisplayOptions'

  - relationship: '&IDR_Process_Related_Updates_Method__processes__Element;'
    index: 97
    sourceClassId: '&IDC_ProcessRelatedUpdatesMethod;'
    type: 'processes'
    destinationClassId: '&IDC_Element;'
    siblingRelationshipId: '&IDR_Element__processed_by__Process_Related_Updates_Method;'
    singular: no

  - relationship: '&IDR_Element__processed_by__Process_Related_Updates_Method;'
    index: 98
    sourceClassId: '&IDC_Element;'
    type: 'processed by'
    destinationClassId: '&IDC_ProcessRelatedUpdatesMethod;'
    siblingRelationshipId: '&IDR_Element_Content__for__Element;'
    singular: no

  - relationship: '&IDR_Process_Related_Updates_Method__uses__Executable_for_PUMB;'
    index: 99
    sourceClassId: '&IDC_ProcessRelatedUpdatesMethod;'
    type: 'uses'
    destinationClassId: '&IDC_ExecutableForPUMB;'
    siblingRelationshipId: '&IDR_Executable_for_PUMB__used_by__Process_Related_Updates_Method;'
    singular: no

  - relationship: '&IDR_Executable_for_PUMB__used_by__Process_Related_Updates_Method;'
    index: 100
    sourceClassId: '&IDC_ExecutableForPUMB;'
    type: 'used by'
    destinationClassId: '&IDC_ProcessRelatedUpdatesMethod;'
    siblingRelationshipId: '&IDR_Process_Related_Updates_Method__uses__Executable_for_PUMB;'
    singular: no
    
  - relationship: '&IDR_Element__has__Element_Content;'
    index: 101
    sourceClassId: '&IDC_Element;'
    type: 'has'
    destinationClassId: '&IDC_ElementContent;'
    siblingRelationshipId: '&IDR_Element_Content__for__Element;'
    singular: no

  - relationship: '&IDR_Element_Content__for__Element;'
    index: 102
    sourceClassId: '&IDC_ElementContent;'
    type: 'for'
    destinationClassId: '&IDC_Element;'
    siblingRelationshipId: '&IDR_Element__has__Element_Content;'
    singular: no
    
  - relationship: '&IDR_Element__has_default__Display_Option;'
    index: 379
    sourceClassId: '&IDC_Element;'
    type: 'has default'
    destinationClassId: '&IDC_DisplayOption;'
    siblingRelationshipId: '&IDR_Display_Option__default_for__Element;'
    singular: no

  - relationship: '&IDR_Display_Option__default_for__Element;'
    index: 380
    sourceClassId: '&IDC_DisplayOption;'
    type: 'default for'
    destinationClassId: '&IDC_Element;'
    siblingRelationshipId: '&IDR_Element__has_default__Display_Option;'
    singular: no
